digiKam Developer Documentation: Digikam::LoadingDescription Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Digikam::LoadingDescription Class Reference

## Classes
class | PostProcessingParameters
class | PreviewParameters

## Public Types
enum | ColorManagementSettings { NoColorConversion , ApplyTransform , ConvertForEditor , ConvertToSRGB , ConvertForDisplay , ConvertForOutput }
enum | RawDecodingHint { RawDecodingDefaultSettings , RawDecodingGlobalSettings , RawDecodingCustomSettings , RawDecodingTimeOptimized }

## Public Member Functions
| LoadingDescription ()
| An invalid LoadingDescription.
| LoadingDescription (const QString &filePath, ColorManagementSettings=NoColorConversion)
| Use this for full loading of non-raw files.
| LoadingDescription (const QString &filePath, const DRawDecoding &settings, RawDecodingHint rawDecodingHint=RawDecodingCustomSettings, ColorManagementSettings=NoColorConversion)
| Use this for full loading of raw files.
| LoadingDescription (const QString &filePath, const PreviewSettings &settings, int size, ColorManagementSettings=NoColorConversion, PreviewParameters::PreviewType=PreviewParameters::PreviewImage)
| For preview and thumbnail jobs: Stores preview max size and Exif rotation.
QString | cacheKey () const
| Return the cache key for this description.
bool | equalsIgnoreReducedVersion (const LoadingDescription &other) const
| Returns whether the other loading task equals this one ignoring parameters used to specify a reduced version.
bool | equalsOrBetterThan (const LoadingDescription &other) const
| Returns whether this loading task equals the other one or is superior to it, if the other one is a reduced version.
bool | isPreviewImage () const
| Returns if this description will load a preview.
bool | isReducedVersion () const
| Returns whether this description describes a loading operation which loads the image in a reduced version (quality, size etc.)
bool | isThumbnail () const
| Returns if this description will load a thumbnail.
QStringList | lookupCacheKeys () const
| Return all possible cache keys, starting with the best choice, for which a result may be found in the cache for this description.
bool | needCheckRawDecoding () const
| For some RAW images, the same cache key is not enough to say it is the correct result.
bool | operator!= (const LoadingDescription &other) const
bool | operator== (const LoadingDescription &other) const
| Returns whether the other loading task equals this one.
ThumbnailIdentifier | thumbnailIdentifier () const
| If this referenced a thumbnail, recreate the identifier.

## Static Public Member Functions
static QStringList | possibleCacheKeys (const QString &filePath)
| Returns all possible cacheKeys for the given file path (all cache keys under which the given file could be stored in the cache).
static QStringList | possibleThumbnailCacheKeys (const QString &filePath)

## Public Attributes
QString | filePath
PostProcessingParameters | postProcessingParameters
PreviewParameters | previewParameters
RawDecodingHint | rawDecodingHint = RawDecodingDefaultSettings
DRawDecoding | rawDecodingSettings

## Member Enumeration Documentation

## ◆ ColorManagementSettings

enum Digikam::LoadingDescription::ColorManagementSettings

Enumerator
ApplyTransform | IccData is an IccTransform.
ConvertForDisplay | IccData can be the output profile.
ConvertForOutput | IccData is the output profile.

## ◆ RawDecodingHint

enum Digikam::LoadingDescription::RawDecodingHint

Enumerator
RawDecodingDefaultSettings | The raw decoding options passed are taken from default, hardcoded settings.
RawDecodingGlobalSettings | The raw decoding options passed are taken from global settings.
RawDecodingCustomSettings | The raw decoding options may be customly edited by the user.
RawDecodingTimeOptimized | The raw decoding options are hardcoded settings optimized for loading time The halfSizeColorImage and 16bit settings can be adjusted separately.

## Constructor & Destructor Documentation

## ◆ LoadingDescription()

Digikam::LoadingDescription::LoadingDescription | ( | const QString & | filePath,
|  | const PreviewSettings & | settings,
|  | int | size,
|  | ColorManagementSettings | cm = `NoColorConversion`,
|  | PreviewParameters::PreviewType | type = `PreviewParameters::PreviewImage`
| ) |  |

Raw files / preview jobs: If size is not 0, the embedded preview will be loaded if available. If size is 0, DImg based loading will be used with default raw decoding settings. You can also adjust raw decoding settings and hint in this case.

## Member Function Documentation

## ◆ lookupCacheKeys()

QStringList Digikam::LoadingDescription::lookupCacheKeys | ( |  | ) | const

Included in the list are better quality versions, if this description is reduced.

## ◆ needCheckRawDecoding()

bool Digikam::LoadingDescription::needCheckRawDecoding | ( |  | ) | const

You must check the raw decoding settings in this case.